%define name	esetroot
%define version	20030422

Summary:	Esetroot without all the Eterm baggage
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Source0:	http://slackbuilds.org/repository/12.2/system/Esetroot/%{name}-%{version}.tar.xz
License:	custom
Group:		System/X11
URL:		http://www.jnrowe.ukfsn.org/projects/esetroot.html/
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}imlib2-devel 



%description
Esetroot is used to set wallpaper for window which support translucency.
It supports JPG and PNG image formats while fvwm-root does not support JPG.
Esetroot can be used in the fvwm config file.

%prep
%setup -q

%build

make IMLIB_LIBS="$(imlib2-config --libs) -lX11"

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}/
install -m 755 Esetroot %{buildroot}%{_bindir}/%{name}
install -m 755 Esetroot %{buildroot}%{_bindir}/Esetroot

%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}
%{_bindir}/Esetroot

%changelog
* Fri Mar 15 2019 tex - 20030422-2pclos2019
- rebuild against updates

* Fri Jul 05 2013 Ken <lxgator at gmail.com> 20030422-1pclos2013
- initial pkg

